package net.locusworks.discord.eighttrack.main;

import java.io.IOException;
import java.nio.file.Paths;
import javax.security.auth.login.LoginException;

import net.dv8tion.jda.api.AccountType;
import net.dv8tion.jda.api.JDA;
import net.dv8tion.jda.api.JDABuilder;
import net.locusworks.discord.eighttrack.adaptors.MusicListenerAdaptor;
import net.locusworks.logger.ApplicationLogger;
import net.locusworks.logger.ApplicationLoggerFactory;

public class Entry {
  
  public static void main(String[] args) throws LoginException, IOException {
    if (args.length < 1) throw new RuntimeException("no token provided");

    ApplicationLogger logger = ApplicationLoggerFactory.getLogger(Entry.class);
    logger.info("Starting Eight-Track");

    JDA client = new JDABuilder(AccountType.BOT).setToken(args[0]).build();

    client.addEventListener(new MusicListenerAdaptor(Paths.get(args[1])));
  }
}
